summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2017-02-22 16:51:50 +0100
committerLars Wendler <polynomial-c@gentoo.org>2017-02-22 16:51:50 +0100
commit0fe2ae29d1f246b07e4e8f564e8bc7db025d1461 (patch)
tree1d0636a1fe6a92374ab57104380d26bba3303bce
parentmedia-gfx/imagemagick: Removed old. (diff)
downloadgentoo-0fe2ae29d1f246b07e4e8f564e8bc7db025d1461.tar.gz
gentoo-0fe2ae29d1f246b07e4e8f564e8bc7db025d1461.tar.bz2
gentoo-0fe2ae29d1f246b07e4e8f564e8bc7db025d1461.zip
media-gfx/uniconvertor: Revbump to fix compilation with imagemagick-7
https://bugs.gentoo.org/581816 Package-Manager: Portage-2.3.3, Repoman-2.3.1
-rw-r--r--media-gfx/uniconvertor/files/uniconvertor-2.0_pre379-ImageMagick7.patch72
-rw-r--r--media-gfx/uniconvertor/uniconvertor-2.0_pre379-r2.ebuild61
2 files changed, 133 insertions, 0 deletions
diff --git a/media-gfx/uniconvertor/files/uniconvertor-2.0_pre379-ImageMagick7.patch b/media-gfx/uniconvertor/files/uniconvertor-2.0_pre379-ImageMagick7.patch
new file mode 100644
index 00000000000..c79b7923158
--- /dev/null
+++ b/media-gfx/uniconvertor/files/uniconvertor-2.0_pre379-ImageMagick7.patch
@@ -0,0 +1,72 @@
+--- a/src/uc2/libimg/_libimg.c 2013-02-25 11:20:00.000000000 +0100
++++ b/src/uc2/libimg/_libimg.c 2016-07-11 09:41:03.721305655 +0200
+@@ -16,8 +16,8 @@
+ * along with this program. If not, see <http://www.gnu.org/licenses/>.
+ */
+
++#include <MagickWand/MagickWand.h>
+ #include <Python.h>
+-#include <wand/MagickWand.h>
+
+ static PyObject *
+ im_InitMagick(PyObject *self, PyObject *args) {
+@@ -184,33 +184,18 @@
+ else if (img_type == GrayscaleType){
+ return Py_BuildValue("s", "GrayscaleType");
+ }
+- else if (img_type == GrayscaleMatteType){
+- return Py_BuildValue("s", "GrayscaleMatteType");
+- }
+ else if (img_type == PaletteType){
+ return Py_BuildValue("s", "PaletteType");
+ }
+- else if (img_type == PaletteMatteType){
+- return Py_BuildValue("s", "PaletteMatteType");
+- }
+ else if (img_type == TrueColorType){
+ return Py_BuildValue("s", "TrueColorType");
+ }
+- else if (img_type == TrueColorMatteType){
+- return Py_BuildValue("s", "TrueColorMatteType");
+- }
+ else if (img_type == ColorSeparationType){
+ return Py_BuildValue("s", "ColorSeparationType");
+ }
+- else if (img_type == ColorSeparationMatteType){
+- return Py_BuildValue("s", "ColorSeparationMatteType");
+- }
+ else if (img_type == OptimizeType){
+ return Py_BuildValue("s", "OptimizeType");
+ }
+- else if (img_type == PaletteBilevelMatteType){
+- return Py_BuildValue("s", "PaletteBilevelMatteType");
+- }
+ else {
+ return Py_BuildValue("s", "UndefinedType");
+ }
+@@ -235,9 +220,7 @@
+ //HSBColorspace,
+ //HSLColorspace,
+ //HWBColorspace,
+-//Rec601LumaColorspace,
+ //Rec601YCbCrColorspace,
+-//Rec709LumaColorspace,
+ //Rec709YCbCrColorspace,
+ //LogColorspace,
+ //CMYColorspace
+@@ -305,15 +288,9 @@
+ else if (cs == HWBColorspace){
+ return Py_BuildValue("s", "HWBColorspace");
+ }
+- else if (cs == Rec601LumaColorspace){
+- return Py_BuildValue("s", "Rec601LumaColorspace");
+- }
+ else if (cs == Rec601YCbCrColorspace){
+ return Py_BuildValue("s", "Rec601YCbCrColorspace");
+ }
+- else if (cs == Rec709LumaColorspace){
+- return Py_BuildValue("s", "Rec709LumaColorspace");
+- }
+ else if (cs == Rec709YCbCrColorspace){
+ return Py_BuildValue("s", "Rec709YCbCrColorspace");
+ }
diff --git a/media-gfx/uniconvertor/uniconvertor-2.0_pre379-r2.ebuild b/media-gfx/uniconvertor/uniconvertor-2.0_pre379-r2.ebuild
new file mode 100644
index 00000000000..502a0698e6b
--- /dev/null
+++ b/media-gfx/uniconvertor/uniconvertor-2.0_pre379-r2.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Commandline tool for popular vector formats convertion"
+HOMEPAGE="http://sk1project.org/modules.php?name=Products&product=uniconvertor https://code.google.com/p/uniconvertor/"
+SRC_URI="https://dev.gentoo.org/~jlec/distfiles/${P}.tar.xz"
+
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~x64-macos ~sparc-solaris ~x86-solaris"
+SLOT="0"
+LICENSE="GPL-2 LGPL-2"
+IUSE=""
+
+RDEPEND="
+ dev-python/pycairo[${PYTHON_USEDEP}]
+ media-gfx/imagemagick:=
+ media-libs/lcms:2
+ dev-python/pillow[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ app-text/ghostscript-gpl"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-import.patch
+ "${FILESDIR}"/${P}-libimg.patch
+ "${FILESDIR}"/${P}-test.patch
+ )
+
+python_prepare_all() {
+ local wand
+ wand=$(pkg-config --libs MagickWand | sed -e "s:^ *::g" -e "s: *$::g" -e "s:-l:\':g" -e "s: :',:g" -e "s:$:':g" -e "s:,'$::g")
+
+ distutils-r1_python_prepare_all
+
+ sed \
+ -e "/libraries/s:'MagickWand':${wand}:g" \
+ -i setup.py || die
+
+ # https://bugs.gentoo.org/581816
+ if has_version ">=media-gfx/imagemagick-7.0" ; then
+ sed -e "s:ImageMagick-6:ImageMagick-7:" -i setup.py || die
+ eapply "${FILESDIR}"/${P}-ImageMagick7.patch
+ fi
+
+ ln -sf \
+ "${EPREFIX}"/usr/share/imagemagick/sRGB.icm \
+ src/unittests/cms_tests/cms_data/sRGB.icm || die
+}
+
+python_test() {
+ einfo ${PYTHONPATH}
+ #distutils_install_for_testing
+ cd src/unittests || die
+ ${EPYTHON} all_tests.py || die
+}